%define oname   columnize

Name:       ruby-%{oname}
Version:    0.3.6
Release:    %mkrel 6
Summary:    Module to format an array as an array of strings aligned in columns
Group:      Development/Ruby
License:    GPLv2+
URL:        http://rubyforge.org/projects/rocky-hacks/columnize
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
In showing a long lists, sometimes one would prefer to see the value
arranged aligned in columns. Some examples include listing methods
of an object or debugger commands.

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install
rm -rf %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/.yardoc
rm -f %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/{COPYING,README.md}

#FIXME: implement that in gem_helper.rb
mkdir -p %{buildroot}%{ruby_vendorlibdir} %{buildroot}%{ruby_vendorlibdir}
mv %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/* %{buildroot}%{ruby_vendorlibdir}

%files
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_vendorlibdir}/*
%doc README.md COPYING

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 0.3.6-6.mga3
+ Revision: 395779
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.3.6-5.mga3
+ Revision: 380716
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 0.3.6-4.mga3
+ Revision: 312779
- rebuild for new ruby

* Mon Sep 10 2012 shlomif <shlomif> 0.3.6-3.mga3
+ Revision: 291999
- New release 3 for new ruby api

* Tue Jun 12 2012 solbu <solbu> 0.3.6-2.mga3
+ Revision: 260070
- Remove yardoc

* Fri Jun 08 2012 shlomif <shlomif> 0.3.6-1.mga3
+ Revision: 257871
- Got to build

  + solbu <solbu>
    - New version
    - Spec cleanup

* Thu Mar 24 2011 shikamaru <shikamaru> 0.3.2-2.mga1
+ Revision: 77122
- remove files already included by %%doc
- move files to vendorlibdir and fix file list

* Thu Jan 27 2011 shikamaru <shikamaru> 0.3.2-1.mga1
+ Revision: 42321
- imported package ruby-columnize

